<?php
/** -------------------------------------------------------
 *
 *   LiveStreet (v1.x)
 *   Plugin Guest comments uLogin (v.1.0)
 *   Copyright © 2015 Bishovec Nikolay
 *
 * --------------------------------------------------------
 *
 *   Plugin Page: http://netlanc.net
 *   Contact e-mail: netlanc@yandex.ru
 *
 * ---------------------------------------------------------
 */

if (!class_exists('Plugin')) {
    die('Hacking attemp!');
}

class PluginUlc extends Plugin
{

    public $aInherits = array(
        'action' => array('ActionBlog','ActionProfile',),
        'module' => array('ModuleComment',),
        'mapper' => array('ModuleComment_MapperComment',),
    );

    protected $aDelegates=array(
        'template' => array(
            'comment.tpl',
            'comment_list.tpl',
            'blocks/block.stream_comment.tpl',
            'actions/ActionStream/events.tpl' => '_events.tpl',
            'toolbar_comment_guest.tpl'
        ),
    );

    /**
     * Активация плагина
     *
     * @return boolean
     */
    public function Activate()
    {
        if (!($this->User_GetUserByLogin('guest'))) {
            $this->ExportSQL(dirname(__FILE__) . '/dump_guest.sql');
        }
        if (!$this->isTableExists('prefix_ulogin_session')) {
            $this->ExportSQL(dirname(__FILE__).'/dump.sql');
        }
        return true;
    }

    /**
     * Инициализация плагина
     *
     * @return void
     */
    public function Init()
    {
        $this->Viewer_Assign("sTWPUlc", Plugin::GetTemplateWebPath(__CLASS__));
        $this->Viewer_AppendStyle(Plugin::GetTemplateWebPath(__CLASS__) . 'css/style.css');

        if (!$this->User_GetUserCurrent()) {
            $this->Plugin_Delegate('template','comment_tree.tpl',Plugin::GetTemplatePath(__CLASS__) . 'comment_tree.tpl', 'ulc');
            $this->Plugin_Delegate('template','window_load_img.tpl',Plugin::GetTemplatePath(__CLASS__) . 'window_load_img.tpl', 'ulc');

            $this->Viewer_AppendScript(Plugin::GetTemplateWebPath(__CLASS__) . 'js/scripts.js?v=14');
        }

    }

    /**
     * Деактивация плагина
     *
     * @return boolean
     */
    public function Deactivate()
    {
        return true;
    }

}