<?php
/** -------------------------------------------------------
 *
 *   LiveStreet (v1.x)
 *   Plugin Guest comments uLogin (v.1.0)
 *   Copyright © 2015 Bishovec Nikolay
 *
 * --------------------------------------------------------
 *
 *   Plugin Page: http://netlanc.net
 *   Contact e-mail: netlanc@yandex.ru
 *
 * ---------------------------------------------------------
 */

class PluginUlc_ModuleComment_MapperComment extends PluginUlc_Inherit_ModuleComment_MapperComment
{

    public function UpdateCommentGuest(ModuleComment_EntityComment $oComment) {
        $sql = "UPDATE ".Config::Get('db.table.comment')."
                    SET
                        guest_network   = ?,
                        guest_url       = ?,
                        guest_name      = ?,
                        guest_avatar     = ?
                    WHERE
                        comment_id      = ?d
                ";
        if ($this->oDb->query($sql,$oComment->getGuestNetwork(),$oComment->getGuestUrl(),$oComment->getGuestName(),$oComment->getGuestAvatar(),$oComment->getId())) {
            return true;
        }
        return false;
    }

}

?>
