<?php
/** -------------------------------------------------------
 *
 *   LiveStreet (v1.x)
 *   Plugin Guest comments uLogin (v.1.0)
 *   Copyright © 2015 Bishovec Nikolay
 *
 * --------------------------------------------------------
 *
 *   Plugin Page: http://netlanc.net
 *   Contact e-mail: netlanc@yandex.ru
 *
 * ---------------------------------------------------------
 */

class PluginUlc_ModuleUlogin extends Module
{

    protected $oMapper;

    public function Init()
    {
        $this->oMapper = Engine::GetMapper(__CLASS__);
    }

    public function AddSession(PluginUlc_ModuleUlogin_EntitySession $oSession) {
        if ($sId=$this->oMapper->AddSession($oSession)) {
            $oSession->setId($sId);
            return true;
        }
        return false;
    }

    public function UpdateSession(PluginUlc_ModuleUlogin_EntitySession $oSession) {
        if ($this->oMapper->UpdateSession($oSession)) {
            return true;
        }
        return false;
    }

    public function DeleteSession($sId) {
        if ($this->oMapper->DeleteSession($sId)) {
            return true;
        }
        return false;
    }

    public function GetSessionByNetworkByUidByTime($sNetwork, $sUid, $sTime) {
        return $this->oMapper->GetSessionByNetworkByUidByTime($sNetwork, $sUid, $sTime);
    }

    public function GetSessionById($sId) {
        return $this->oMapper->GetSessionById($sId);
    }

}

?>
