{add_block group='toolbar' name='toolbar_comment_guest.tpl'
	aPagingCmt=$aPagingCmt
	iTargetId=$iTargetId
	sTargetType=$sTargetType
	iMaxIdComment=$iMaxIdComment
}

{hook run='comment_tree_begin' iTargetId=$iTargetId sTargetType=$sTargetType}

<div class="comments" id="comments">
	<header class="comments-header">
		<h3><span id="count-comments">{$iCountComment}</span> {$iCountComment|declension:$aLang.comment_declension:'russian'}</h3>
		
		{if $bAllowSubscribe and $oUserCurrent}
			<div class="subscribe">
				<input {if $oSubscribeComment and $oSubscribeComment->getStatus()}checked="checked"{/if} type="checkbox" id="comment_subscribe" class="input-checkbox" onchange="ls.subscribe.toggle('{$sTargetType}_new_comment','{$iTargetId}','',this.checked);">
				<label for="comment_subscribe">{$aLang.comment_subscribe}</label>
			</div>
		{/if}
	
		<a name="comments"></a>
	</header>

	{assign var="nesting" value="-1"}
	{foreach from=$aComments item=oComment name=rublist}
		{assign var="cmtlevel" value=$oComment->getLevel()}
		
		{if $cmtlevel>$oConfig->GetValue('module.comment.max_tree')}
			{assign var="cmtlevel" value=$oConfig->GetValue('module.comment.max_tree')}
		{/if}
		
		{if $nesting < $cmtlevel} 
		{elseif $nesting > $cmtlevel}    	
			{section name=closelist1  loop=$nesting-$cmtlevel+1}</div>{/section}
		{elseif not $smarty.foreach.rublist.first}
			</div>
		{/if}
		
		<div class="comment-wrapper" id="comment_wrapper_id_{$oComment->getId()}">
		
		{include file='comment.tpl'} 
		{assign var="nesting" value=$cmtlevel}
		{if $smarty.foreach.rublist.last}
			{section name=closelist2 loop=$nesting+1}</div>{/section}    
		{/if}
	{/foreach}
</div>				
	
	
{include file='comment_paging.tpl' aPagingCmt=$aPagingCmt}

{hook run='comment_tree_end' iTargetId=$iTargetId sTargetType=$sTargetType}


{if $bAllowNewComment}
    {$sNoticeNotAllow}
{else}

    {include file='editor.tpl' sImgToLoad='form_comment_text' sSettingsTinymce='ls.settings.getTinymceComment()' sSettingsMarkitup='ls.settings.getMarkitupComment()'}

    <h4 class="reply-header" id="comment_id_0">
        <a href="#" class="link-dotted" onclick="ls.comments.toggleCommentForm(0); return false;">{$sNoticeCommentAdd}</a>
    </h4>

    <script>
        function uLoginAut (token) {
            $.getJSON("//ulogin.ru/token.php?host=" + encodeURIComponent(location.toString()) + "&token=" + token + "&callback=?", function(data){
                data = $.parseJSON(data.toString());
                if(!data.error){
                    var photo = data.photo ? data.photo:'{cfg name="path.static.skin"}/images/avatar_male_24x24.png';
                    var name = data.first_name;
                    if (data.last_name) {
                        name = name + ' ' + data.last_name;
                    }
                    var sCookie = JSON.stringify({ 'network': data.network, 'uid': data.uid, 'identity':data.identity, 'name':name, 'photo':data.photo , 'token': token });
                    $.cookie("ult", sCookie);
                    $('#ulogin-form').removeClass('system-message-error').addClass('system-message-notice');
                    $('#comment-button-submit').prop('disabled', false);
                    setUser(data);
                }
            });
        }
        function setUser(data) {
            var photo = data.photo ? data.photo:'{cfg name="path.static.skin"}/images/avatar_male_24x24.png';
            var name = data.first_name;
            if (data.last_name) {
                name = name + ' ' + data.last_name;
            }
            $('#ulogin-user-info').find('.network').prop('class', 'network ' + data.network);
            $('#ulogin-user-info').find('img').prop('src', photo);
            $('#ulogin-user-info').find('span').find('a').prop('href', data.identity).text(name);
            $('#ulogin-form,#ulogin-user-info').slideToggle();
            return false;
        }
        function clearUser() {
            $.cookie("ult", null);
            $('#ulogin-form,#ulogin-user-info').slideToggle();
            return false;
        }

        function editUser(bEdit) {
            if (bEdit) {
                $('#ulogin-form').find('.ulogin-edit-cancel').show();
            } else {
                $('#ulogin-form').find('.ulogin-edit-cancel').hide();
            }
            $('#ulogin-form,#ulogin-user-info').slideToggle();
            return false;
        }

        ls.comments.add = function(formObj, targetId, targetType) {
            if (this.options.wysiwyg) {
                $('#'+formObj+' textarea').val(tinyMCE.activeEditor.getContent());
            }
            formObj = $('#'+formObj);

            $('#form_comment_text').addClass(this.options.classes.form_loader).attr('readonly',true);
            $('#comment-button-submit').attr('disabled', 'disabled');

            ls.ajax(this.options.type[targetType].url_add, formObj.serializeJSON(), function(result){
                $('#comment-button-submit').removeAttr('disabled');
                if (!result) {
                    this.enableFormComment();
                    ls.msg.error('Error','Please try again later');
                    return;
                }
                if (result.bStateError) {
                    this.enableFormComment();
                    ls.msg.error(null,result.sMsg);
                    if (result.logout_uLogin) {
                        $('#ulogin-form').addClass('system-message-error').removeClass('system-message-notice');
                        $('#comment-button-submit').prop('disabled', true);
                        clearUser();
                    }
                } else {
                    this.enableFormComment();
                    $('#form_comment_text').val('');

                    // Load new comments
                    this.load(targetId, targetType, result.sCommentId, true);
                    ls.hook.run('ls_comments_add_after',[formObj, targetId, targetType, result]);
                }
            }.bind(this));
        };
    </script>

    <div id="reply" class="reply">


        <form method="post" id="form_comment" onsubmit="return false;" enctype="multipart/form-data">
            {hook run='form_add_comment_begin'}

            <textarea name="comment_text" id="form_comment_text" class="mce-editor markitup-editor input-width-full"></textarea>

            {hook run='form_add_comment_end'}

            <div id="ulogin-form" class="{if $smarty.cookies.ult}system-message-notice{else}system-message-error{/if} ulogin-form"{if $smarty.cookies.ult} style="display: none"{/if}>
                <span class="text-info">
                    {$aLang.plugin.ulc.button_note}
                </span>
                <script src="//ulogin.ru/js/ulogin.js"></script>
                <div id="uLoginefcb8d83" data-ulogin="display=panel;fields=first_name,last_name,photo;providers={Config::Get('plugin.ulc.button_providers')};hidden={Config::Get('plugin.ulc.button_hidden')};redirect_uri=;callback=uLoginAut"></div>

                <a href="#" onclick="return editUser();" class="ulogin-edit-cancel">{$aLang.plugin.ulc.cancel}</a>
            </div>

            <div id="ulogin-user-info" class="system-message-notice"{if !$smarty.cookies.ult} style="display: none"{/if}>
                {$aLang.plugin.ulc.user_info}:<br />
                {if $smarty.cookies.ult}
                    {$aUlogin = json_decode($smarty.cookies.ult, true)}
                {/if}
                <div class="network{if $aUlogin} {$aUlogin.network}{/if}"></div>
                <img src="{if $aUlogin}{$aUlogin.photo}{/if}" alt="" width="24" class="avatar" align="left" />
                <span class="login"><a href="{if $aUlogin}{$aUlogin.identity}{/if}">{if $aUlogin}{$aUlogin.name}{/if}</a></span><br />

                <a href="#" onclick="return editUser(1);" class="edit">{$aLang.plugin.ulc.edit}</a> <a href="#" onclick="return clearUser();" class="clear">{$aLang.plugin.ulc.clear}</a>
            </div>

            <button type="submit"  name="submit_comment"
                    id="comment-button-submit"
                    onclick="ls.comments.add('form_comment',{$iTargetId},'{$sTargetType}'); return false;"
                    class="button button-primary"{if !$smarty.cookies.ult} disabled{/if}>{$aLang.comment_add}</button>
            <button type="button" onclick="ls.comments.preview();" class="button">{$aLang.comment_preview}</button>

            <input type="hidden" name="reply" value="0" id="form_comment_reply" />
            <input type="hidden" name="cmt_target_id" value="{$iTargetId}" />
        </form>
    </div>

    <div class="ulogin-copyright"><a href="https://ulogin.ru/">uLogin</a> comments сделано при поддержке <a href="http://l2plus.ru" target="_blank">l2plus.ru</a></div>

{/if}